[youtubei.js](../../../README.md) / [Parser](../README.md) / parseCommands

# Function: parseCommands()

> **parseCommands**(`commands`?): [`ObservedArray`](../../Helpers/type-aliases/ObservedArray.md)\<[`YTNode`](../../Helpers/classes/YTNode.md)\>

Parses an array of InnerTube command nodes.

## Parameters

• **commands?**: [`RawNode`](../../APIResponseTypes/type-aliases/RawNode.md)[]

Array of raw command nodes to parse

## Returns

[`ObservedArray`](../../Helpers/type-aliases/ObservedArray.md)\<[`YTNode`](../../Helpers/classes/YTNode.md)\>

An observed array of parsed YTNodes

## Defined in

[src/parser/parser.ts:673](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/parser.ts#L673)
